corelinux::Event< IdentifierType > Class Template Reference

Event provides a type basis for event ontologies. More...

`#include <Event.hpp>`

## Public Member Functions

| Event (void)
| Default constructor protected.
| Event (const IdentifierType &aId)
| Initializing constructor.
| Event (const Event &aEvent)
| Copy constructor.
virtual | ~Event (void)
| Virtual destructor.
Event & | operator= (const Event &aEvent)
| Assignment operator.
bool | operator== (const Event &aEvent) const
| Equality operator.
| operator const IdentifierType & (void) const throw ( NullPointerException )
| Coercion operator for identity.
| operator IdentifierType * (void) const throw (NullPointerException)
| Coercion operator for identity.

## Detailed Description

### template<class IdentifierType = Identifier>
class corelinux::Event< IdentifierType >

Event provides a type basis for event ontologies.

The documentation for this class was generated from the following file:

- Event.hpp

This is the CoreLinux++ reference manual
Provided by The CoreLinux Consortium